summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/myth/stable/mythtv-release-fixes/mythbackend
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-08-17 17:16:31 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-08-17 17:16:31 (GMT)
commit997dbedae9ea47fbb46ec15f8827cf1a8065c11e (patch)
treee20e579880f339682d8ede709369769269a365e0 /abs/mv-core/myth/stable/mythtv-release-fixes/mythbackend
parentda98b0f401f135cb5a04270dbfc46c5dafc43d9d (diff)
downloadlinhes_pkgbuild-997dbedae9ea47fbb46ec15f8827cf1a8065c11e.zip
linhes_pkgbuild-997dbedae9ea47fbb46ec15f8827cf1a8065c11e.tar.gz
linhes_pkgbuild-997dbedae9ea47fbb46ec15f8827cf1a8065c11e.tar.bz2
mv-core: bring it up to date so that it works again
Diffstat (limited to 'abs/mv-core/myth/stable/mythtv-release-fixes/mythbackend')
-rwxr-xr-xabs/mv-core/myth/stable/mythtv-release-fixes/mythbackend37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/mv-core/myth/stable/mythtv-release-fixes/mythbackend b/abs/mv-core/myth/stable/mythtv-release-fixes/mythbackend
new file mode 100755
index 0000000..f96c6b7
--- /dev/null
+++ b/abs/mv-core/myth/stable/mythtv-release-fixes/mythbackend
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/mythbackend`
+case "$1" in
+ start)
+ stat_busy "Starting MythTV Backend"
+ [ ! -e /var/run/mysqld.pid ] && echo -n "mysqld not started" && stat_fail && exit
+ [ -z "$PID" ] && /usr/local/bin/mythbackend -d -l /var/log/mythbackend.log -v quiet
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/mythbackend.pid
+ add_daemon mythbackend
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping MythTV Backend"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mythbackend
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0